Get Facebook Page Media
curl --request POST \
--url https://public.plai.io/meta/get_fb_page_media \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>",
"type": "<string>",
"pagination": "<string>"
}
'import requests
url = "https://public.plai.io/meta/get_fb_page_media"
payload = {
"userId": "<string>",
"type": "<string>",
"pagination": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>', type: '<string>', pagination: '<string>'})
};
fetch('https://public.plai.io/meta/get_fb_page_media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success":true,
"results":
{
"success":true,
"media":[
{
"id":"2074273929752253",
"full_picture": "https://scontent-ord5-2.xx.fbcdn.net/v/t45.1600-4/458397097_120212188508890153_5643706261073051043_n.jpg?_nc_cat=105&ccb=1-7&_nc_sid=890911&_nc_eui2=AeEb31a9FMRMAR99chReYC"
}
]
}
}
{
"success":true,
"results":{
"success":true,
"media":[
{
"id": "1361984114970374",
"source": "https://scontent-ord5-2.xx.fbcdn.net/o1/v/t2/f2/m69/AQO5UgzvdZxQb-fax-Ej7-_oNuXl9XXa7As55tKAxZXitXRM4tfNrxjQzQoDUJT2626vEbEZ4ArbG4qltgdYeikj.mp4?strext=1&_nc_cat=111&_nc_sid=5e9851&_nc_ht=scontent-ord5-2.xx.fbcdn.net&_nc_ohc=ugKIbHPFh_8Q7kNvgEu8WEl",
"picture": "https://scontent-ord5-2.xx.fbcdn.net/v/t15.5256-10/475037280_1986779405162351_2987258282856273552_n.jpg?_nc_cat=108&ccb=1-7&_nc_sid=e3495b&_nc_eui2=AeF-GfgvhUPcju8YrI08qVrTg5efafm7pkeDl59p-bumRyJ6hLxDWu9ECoJ1pDLrp7jlWuqdLfmgChl2HKldD5Od&_nc_ohc=hW3y9qSEgXwQ7kNvgFg1LzP"
}
]
}
}
Media
Get Facebook Page Media
This endpoint is used to fetch media assets (both images and videos) associated with a user’s Facebook Page. It provides access to the creative library that can be used in ad campaigns, allowing users to browse and select previously uploaded media for their advertisements.
POST
/
meta
/
get_fb_page_media
Get Facebook Page Media
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
string
required
Media Type, Values:
IMAGE or VIDEOstring
default:""
If the number of results exceeds the page limit, the response will include
pagination links (
next and previous) to help you navigate through the
result setResponse
- Images Response
- Videos Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).
boolean
Indicates whether the API request was successful
{
"success":true,
"results":
{
"success":true,
"media":[
{
"id":"2074273929752253",
"full_picture": "https://scontent-ord5-2.xx.fbcdn.net/v/t45.1600-4/458397097_120212188508890153_5643706261073051043_n.jpg?_nc_cat=105&ccb=1-7&_nc_sid=890911&_nc_eui2=AeEb31a9FMRMAR99chReYC"
}
]
}
}
{
"success":true,
"results":{
"success":true,
"media":[
{
"id": "1361984114970374",
"source": "https://scontent-ord5-2.xx.fbcdn.net/o1/v/t2/f2/m69/AQO5UgzvdZxQb-fax-Ej7-_oNuXl9XXa7As55tKAxZXitXRM4tfNrxjQzQoDUJT2626vEbEZ4ArbG4qltgdYeikj.mp4?strext=1&_nc_cat=111&_nc_sid=5e9851&_nc_ht=scontent-ord5-2.xx.fbcdn.net&_nc_ohc=ugKIbHPFh_8Q7kNvgEu8WEl",
"picture": "https://scontent-ord5-2.xx.fbcdn.net/v/t15.5256-10/475037280_1986779405162351_2987258282856273552_n.jpg?_nc_cat=108&ccb=1-7&_nc_sid=e3495b&_nc_eui2=AeF-GfgvhUPcju8YrI08qVrTg5efafm7pkeDl59p-bumRyJ6hLxDWu9ECoJ1pDLrp7jlWuqdLfmgChl2HKldD5Od&_nc_ohc=hW3y9qSEgXwQ7kNvgFg1LzP"
}
]
}
}